summaryrefslogtreecommitdiffstats
path: root/source/a/btrfs-progs/btrfs-progs.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/btrfs-progs/btrfs-progs.SlackBuild')
-rwxr-xr-xsource/a/btrfs-progs/btrfs-progs.SlackBuild50
1 files changed, 38 insertions, 12 deletions
diff --git a/source/a/btrfs-progs/btrfs-progs.SlackBuild b/source/a/btrfs-progs/btrfs-progs.SlackBuild
index fb901dbaf..987a29c0e 100755
--- a/source/a/btrfs-progs/btrfs-progs.SlackBuild
+++ b/source/a/btrfs-progs/btrfs-progs.SlackBuild
@@ -1,5 +1,5 @@
-#!/bin/sh
-# Copyright 2009, 2010, 2011, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+#!/bin/bash
+# Copyright 2009, 2010, 2011, 2015, 2017 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -19,8 +19,7 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-CWD=$(pwd)
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=btrfs-progs
BUILD=${BUILD:-1}
@@ -48,6 +47,34 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
if [ "$TMP" = "" ]; then
TMP=/tmp
fi
@@ -57,7 +84,7 @@ mkdir -p $PKG
cd $TMP
rm -rf btrfs-progs btrfs-progs-$VERSION
-tar xf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
cd btrfs-progs-$VERSION || cd btrfs-progs || exit 1
# Make sure ownerships and permissions are sane:
@@ -83,13 +110,16 @@ CFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--infodir=/usr/info \
- --disable-static \
- --build=$ARCH-slackware-linux
+ --disable-zstd \
+ --build=$ARCH-slackware-linux || exit 1
# Build and install:
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship static library:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.a
+
# Strip binaries:
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -100,10 +130,6 @@ make install DESTDIR=$PKG || exit 1
mv $PKG/usr/share/man $PKG/usr/man
rmdir $PKG/usr/share
-# Do not ship libraries.
-# If there becomes a use for these outside of btrfs-progs, let me know.
-rm -rf $PKG/usr/lib
-
# According to https://btrfs.wiki.kernel.org/index.php/FAQ#When_will_Btrfs_have_a_fsck_like_tool.3F
# it is safe and recommended to make fsck.btrfs a no-op by linking it to /bin/true:
ln -sf /bin/true $PKG/sbin/fsck.btrfs
@@ -133,5 +159,5 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $TMP/package-${PKGNAM}
-makepkg -l y -c n ../${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz